Vla-get-annotation

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-annotation vla-object)


機能
引出線の注釈オブジェクトを取得する。


引数
  • vla-object … Leader の VLAオブジェクト


戻り値
引出線の注釈オブジェクト。引出線の注釈は、公差オブジェクト、マルチ テキスト オブジェクト、ブロック参照のどれでもかまわない。
  • 注意 : すべての引出線に注釈オブジェクトがあるわけではない。引出線に注釈がない場合、このプロパティは Nothing (論理的な False)を返す。論理的な False 値をテストするには、Nothing キーワードを使用する。


サンプル
(vl-load-com)
(defun c:Example_Annotation()
    ;; 引き出し線をモデルに追加して注釈を設定するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; マルチテキストの設定
    (setq insertionPoint (vlax-3d-point 5 5 0)
          textString "ふっふー。"
          width 2)
    
    ;; マルチテキストを作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq MTextObj (vla-AddMText modelSpace insertionPoint width textString))
    
    ;; 引き出し線のデータ
    (setq points (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill points '(0 0 0
                                  4 4 0
                                  4 5 0
                                ))
    (setq leaderType acLineWithArrow)
       
    ;; 引き出し線をマルチテキストに紐づけしてモデルに作成
    (setq annotationObject MTextObj)
    (setq leaderObj (vla-AddLeader modelSpace points annotationObject leaderType))
    (vla-ZoomAll acadObj)

    (alert "注釈付き引き出し線できますた。")
    (vlax-dump-object (vla-get-annotation leaderObj))
)


関連事項